# [Configuration Setup](@id configurationSetupAPI)

For further information on this topic, please see the [Power System Model](@ref PowerSystemModelManual) section of the Manual.

---

###### Base Units
* [`@base`](@ref @base)

###### Input Units
* [`@power`](@ref @power)
* [`@voltage`](@ref @voltage)
* [`@current`](@ref @current)
* [`@parameter`](@ref @parameter)

###### Default Settings
* [`@default`](@ref @default)

---

To load power system model API functionalities into the current scope, utilize the following command:
```@example LoadApi
using JuliaGrid
```

---

## Base Units
```@docs
@base
```

---

## Input Units
```@docs
@power
@voltage
@current
@parameter
```

---

## Default Settings
```@docs
@default
```
